<?php

namespace App\Form\Input;

/**
 * General autocomplete field, specific to TINA
 */
abstract class Autocomplete_GeneralAbstract extends \Engine\Form\Input\Autocomplete
{

	protected $class = "autocomplete";

	/**
	 * Rewrite the constructor - to activate the "buttons" displayed in the tempalte.
	 * @param String $label
	 * @param String $name
	 * @param Mixed $value
	 */
	public function __construct($label=null, $name=null, $value=null)
	{
		parent::__construct($label, $name, $value);
		$this->setStyle('buttons', true);
	}

	/**
	 * (non-PHPdoc)
	 * @see \Engine\Form\Input\ElementAbstract::loadTranslations()
	 */
	protected function loadTranslations($templateClass = null)
	{
		parent::loadTranslations();

		\App\Loader_Lang::getInstance()->loadAppFile('_customLoad/formField/inputs/generalAutocomplete.lang.php');

	}
}
